com.sun.mirror.type

## Enum PrimitiveType.Kind

- java.lang.Object
- - java.lang.Enum<PrimitiveType.Kind>
  - - com.sun.mirror.type.PrimitiveType.Kind

All Implemented Interfaces:
  Serializable, Comparable<PrimitiveType.Kind>

Enclosing interface:
  PrimitiveType

    public static enum PrimitiveType.Kind
    extends Enum<PrimitiveType.Kind>

An enumeration of the different kinds of primitive types.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOLEAN` The primitive type `boolean`
`BYTE` The primitive type `byte`
`CHAR` The primitive type `char`
`DOUBLE` The primitive type `double`
`FLOAT` The primitive type `float`
`INT` The primitive type `int`
`LONG` The primitive type `long`
`SHORT` The primitive type `short`

### Method Summary

Methods
`static PrimitiveType.Kind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PrimitiveType.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BOOLEAN

    public static final PrimitiveType.Kind BOOLEAN

The primitive type `boolean`

#### BYTE

    public static final PrimitiveType.Kind BYTE

The primitive type `byte`

#### SHORT

    public static final PrimitiveType.Kind SHORT

The primitive type `short`

#### INT

    public static final PrimitiveType.Kind INT

The primitive type `int`

#### LONG

    public static final PrimitiveType.Kind LONG

The primitive type `long`

#### CHAR

    public static final PrimitiveType.Kind CHAR

The primitive type `char`

#### FLOAT

    public static final PrimitiveType.Kind FLOAT

The primitive type `float`

#### DOUBLE

    public static final PrimitiveType.Kind DOUBLE

The primitive type `double`

### Method Detail

#### values

    public static PrimitiveType.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PrimitiveType.Kind c : PrimitiveType.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PrimitiveType.Kind valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.